<?php
// Do not delete these lines
  if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die (__("Please do not load this page directly. Thanks!", TR_THEMENAME));
    
  if (function_exists('post_password_required')) {
    if ( post_password_required() ) {
      echo '<p class="nocomments">'.__("This post is password protected. Enter the password to view comments.", TR_THEMENAME).'</p>';
      return;
    }
  } 
  else {
    if (!empty($post->post_password)) { // if there's a password
      if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
        ?>
          <p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments.", TR_THEMENAME); ?></p>
        <?php

        return;
      }
    }
  }
?>
					<?php if ( have_comments() ) : ?>
                    <div class="ttl-cn dfl fa-comment">
						<h2><?php printf( __('%s Comments', TR_THEMENAME), get_comments_number()); ?></h2>
                    </div>
					<ul class="lst-cmnts" id="comments">
					    <?php wp_list_comments( array( 'callback' => 'torotube_comment' ) ); ?>
					</ul>
                    <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
                        <?php echo mt_pagination(2,' navcom'); ?>
                    <?php endif; ?>
				    <?php endif; // end have_comments() ?>
                    <?php if ( comments_open() ) : ?>
                    <div id="respond">
                        <div class="ttl-cn dfl fa-comment">
                            <h2><?php _e('Leave a Reply'); ?></h2>
                        </div>
                        <div class="frm-escr">
                            <div class="cancel-comment-reply">
                                <span><?php cancel_comment_reply_link(); ?></span>
                            </div>
                            <form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" name="commentform" class="comment-form">
                                <?php if ( is_user_logged_in() ) : ?>
                                <p><?php printf(__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ),admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )); ?></p>
                                <?php else : ?>
                                <div class="frm-group">
                                    <label class="lbl-icon">
                                        <input id="author" name="author" type="text" value="<?php echo esc_attr($commenter['comment_author'] ); ?>" placeholder="<?php _e('Name', TR_THEMENAME); ?>">
                                        <i class="fa-user"></i>
                                    </label>
                                </div>
                                <div class="frm-group">
                                    <label class="lbl-icon">
                                        <input id="email" name="email" type="text" value="<?php echo esc_attr(  $commenter['comment_author_email'] ); ?>" placeholder="<?php _e('Email', TR_THEMENAME); ?>">
                                        <i class="fa-envelope"></i>
                                    </label>
                                    <p class="comment-notes"><?php _e('Your email address will not be published.', TR_THEMENAME); ?></p>
                                </div>
                                <?php endif; ?>
                                <div class="frm-group">
                                    <label class="lbl-icon">
                                        <textarea id="comment" name="comment" cols="66" rows="6" placeholder="<?php _e('Your comment here...', TR_THEMENAME); ?>" aria-required="true"></textarea>
                                        <i class="fa-comment"></i>
                                    </label>
                                </div>
                                <div class="frm-group">
                                    <button type="submit"><?php _e('Post Comment', TR_THEMENAME); ?></button>
                                </div>
                                <?php comment_id_fields(); ?> 
                                <?php do_action('comment_form', $post->ID); ?>
                            </form>
                        </div>
                    </div>
					<?php endif; ?>