<?php global $trconf; ?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <title><?php global $page, $paged;
	wp_title( '-', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " - $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' - ' . sprintf( __( 'Page %s'), max( $paged, $page ) ); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body>
<div class="Wrapper">
		<!--<Header>-->
		<header>
			<div class="cnt-hd">
				<div class="dfl c-rw">
					<div class="logo"><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name');?>"><img src="<?php echo $trconf['logo']['url']; ?>" alt="<?php bloginfo('name');?>"></a></div>
					<button class="btn-mn ctr"><span class="fa-bars"></span></button>
					<nav class="mn-hd ctr">
						<div class="mn-br">
						    <span><?php _e('User Menu', TR_THEMENAME); ?></span>							
							<button class="botn-cls"><span class="fa-times"></span></button>
						</div>
						<ul>
						    <?php wp_nav_menu(array('container' => false, 'theme_location' => 'menu_header', 'items_wrap' => '%3$s', 'fallback_cb' => 'mt_default_menu')); ?>
						</ul>
					</nav>
					<div class="frm-srch ctr">
						<?php mt_h1(); ?>
						<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" id="searchform">
							<input name="s" type="text" placeholder="<?php _e('Search...', TR_THEMENAME); ?>">
							<button id="searchsubmit" type="submit"><span class="fa-search"></span></button>
						</form>
					</div>
				</div>
			</div>
		</header>
		<!--</Header>-->
<div class="Body">
		<hr class="btspr">