<?php
    

    function load_mt_admin_style() {
            $path_to_theme = get_template_directory_uri();
            $myvars = array( 
                'ajaxurl' => admin_url( 'admin-ajax.php' ),
                'loading' => __('Loading...', TR_THEMENAMEOPTIONS),
                'nonce' => wp_create_nonce( 'mt-activacion-nonce' )
            );
            wp_enqueue_script( 'mt_activation', $path_to_theme.'/js/mt_activation.js',array('jquery'));
            wp_localize_script( 'mt_activation', 'MtActivation', $myvars );
    }
    add_action( 'admin_enqueue_scripts', 'load_mt_admin_style' );

	// AJAX PHP

	function mt_activacion_ajax() {

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'mt-activacion-nonce' ) )
    	    die ( 'Die');
	
	
		if($_POST['action'] == 'mt_activation_action') {
			
            $check = 1 ;
            if($check==1){
                delete_option("mtlicense");
                add_option( "mtlicense", $_POST["txt"], "", "yes" );
                echo "<p>".__("The license was activated successfully.", TR_THEMENAMEOPTIONS)."</p>";
            }else{
                delete_option("mtlicense");
                echo $check;
            }

		}
		exit;
	}
	
	add_action( 'wp_ajax_mt_activation_action', 'mt_activacion_ajax' );
	add_action( 'wp_ajax_nopriv_mt_activation_action', 'mt_activacion_ajax');