<?php
    add_action('edit_category_form_fields','category_edit_form_fields_tr');
    add_action('edit_tag_form_fields','category_edit_form_fields_tr');

    function category_edit_form_fields_tr($tag){
    $t_id = $tag->term_id;
    $cat_desc = get_option( "description_seo_tr");
?>
    <tr class="form-field">
    <th scope="row" valign="top"><label><?php _e('Description SEO', TR_THEMENAME); ?></label></th>
    <td>
    <?php wp_editor($cat_desc[$t_id], 'description_seo_tr', array( 'media_buttons' => false, 'wpautop' => false ) ); ?>
    </td>
    </tr>   
<?php
    }
    add_action ( 'edited_category', 'save_extra_category_fileds');
    add_action ( 'edited_post_tag', 'save_extra_category_fileds');

    function save_extra_category_fileds( $term_id ) {
        if ( isset( $_POST['description_seo_tr'] ) ) {
            $t_id = $term_id;
            $cat_desc= get_option( "description_seo_tr");
            $cat_desc[$t_id]=strip_tags($_POST['description_seo_tr'], '<p>,<strong>,<a>,<ul>,<li>,<ol>,<blockquote>,<em>,<del>');
            update_option( "description_seo_tr", $cat_desc );
        }
    }
?>