<?php
	function mt_theme_rating_porc($id) {
		$positive=0; $negative=0;
		$positive=get_post_meta($id, 'mtrating_type1', true);
		$negative=get_post_meta($id, 'mtrating_type2', true);
		$total=$positive+$negative;
		$multiple=$positive*100;
		if($total==''){
			return '0%';
		}else{
			return round($multiple/$total).'%';
		}
	}
	
	function mt_theme_rating_voto_total($id) {
		$positive=0; $negative=0;
		$positive=get_post_meta($id, 'mtrating_type1', true);
		$negative=get_post_meta($id, 'mtrating_type2', true);
		$total=$positive+$negative;
		
		return $total;
	}

	function mt_theme_rating_scripts_init() {
        if(is_single()){
            $path_to_theme = get_template_directory_uri();
            $myvars = array( 
                'ajaxurl' => admin_url( 'admin-ajax.php' ),
                'loading' => __('Loading...', TR_THEMENAME),	
                'mtthemeratingnonce' => wp_create_nonce( 'mt-theme-rating-nonce' )
            );
            wp_enqueue_script( 'mt-rating', $path_to_theme.'/js/mtrating.js',array('jquery'));
            wp_localize_script( 'mt-rating', 'MtRating', $myvars );
        }
    }
	
	if ( !is_admin() ) {
	  add_action('wp_print_scripts', 'mt_theme_rating_scripts_init');
	}
	
	// Guarda las ips
	
	function mt_rating_save_ip($id,$tipo,$ip=NULL){
		if($tipo==1){
			$table='mtrating_ips';
			$data = get_post_meta($id, $table, true);
	
			if(empty($data)){
				add_post_meta(intval($id), $table, md5($ip).'+'); 
			}else{
				$ips_array = explode("+", $data);
				if ( !in_array(md5($ip), $ips_array ) ) {
					update_post_meta(intval($id), $table, $data.md5($ip).'+');			
				}
			}
        	setcookie("mtratingip_$id", $ip, time()+3600*24*100, COOKIEPATH, COOKIE_DOMAIN, false);
		}
	}
	
	// AJAX PHP

	function mt_rating_ajax(){

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'mt-theme-rating-nonce' ) )
    	    die ( 'Die!');
	
	
		if($_POST['action'] == 'mt_rating_action') {
			
			$id=intval($_POST['id']);
			$vote=intval($_POST['type']);
			$table_ips='mtrating_ips';
			$table_votes='mtrating_type'.$vote;			
			$total=get_post_meta($id, $table_votes, true);
			$data = get_post_meta($id, $table_ips, true);
				
			if ($data=='') {
				add_post_meta($id, $table_votes, 1); 
				mt_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP));
				echo mt_theme_rating($id,'','');
			}else{
				$ips_array = @explode("+", $data);
				if ( !in_array(md5($_SERVER['REMOTE_ADDR']), $ips_array ) and empty($_COOKIE["mtratingip_".$id.""])) {
					update_post_meta($id, $table_votes, get_post_meta($id, $table_votes, true)+1); 
					mt_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP));
					echo mt_theme_rating($id,'','');
				}else{
					echo mt_theme_rating($id,'','', 1);
				}
			}
			
			
		}
		exit;
	}
	
	add_action( 'wp_ajax_mt_rating_action', 'mt_rating_ajax' );
	add_action( 'wp_ajax_nopriv_mt_rating_action', 'mt_rating_ajax');
	
	function mt_theme_rating($id, $tag='<div class="vdnf" id="mt_theme_rating">', $tagf='</div>', $nov=0) {
        $return='';
		$return.= $tag.'
            <div class="cls">
			<div class="vt-btn clma12c06 rdr-2">
				<a href="#" class="fa-thumbs-o-up mt_theme_rating_vt" data-type="1" data-id="'.$id.'">'.__('Like', TR_THEMENAME).'</a>
				<a href="#" class="fa-thumbs-o-down mt_theme_rating_vt" data-type="2" data-id="'.$id.'"></a>
			</div>
			<div class="vt-rsl clma12c06 rdr-1">
				<div class="numper"><strong>'.mt_theme_rating_porc($id).'</strong></div>
				<div class="percnt"><div style="width:'.mt_theme_rating_porc($id).'"></div></div>';
		if($nov==1){
			$return.='<span id="txtmt"><strong>'.__('You can not vote again', TR_THEMENAME).'</strong></span>';
		}else{
			if(mt_theme_rating_voto_total($id)>1 or mt_theme_rating_voto_total($id)==0){$s=__('VOTES', TR_THEMENAME);}else{$s=__('VOTED', TR_THEMENAME);}
			$return.='<span id="txtmt"><strong>'.mt_theme_rating_voto_total($id).'</strong> '.$s.'</span>';			
		}
		$return.='</div></div>'.$tagf;
		
		return $return;
	}
?>